/***************************************************************
 * Name:      adresadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef ADRESADIALOG_H
#define ADRESADIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QtSql>

class AdresaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit AdresaDialog(bool edit = false, int id = 0, QWidget *parent = 0);
private:
    QLineEdit *m_nazev;
    QLineEdit *m_ulice;
    QLineEdit *m_cp;
    QLineEdit *m_psc;
    QLineEdit *m_misto;
    QLineEdit *m_zeme;
    QLineEdit *m_ic;
    QLineEdit *m_dic;
    QLineEdit *m_email;
    bool m_edit;
    int m_id;

    void setupGUI();
    bool checkNazev(const QString &nazev);
private slots:
    void accept();
    void keyPressEvent(QKeyEvent *);
};

#endif // ADRESADIALOG_H
