/***************************************************************
 * Name:      polozkamodel.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "polozkamodel.h"

PolozkaModel::PolozkaModel(QObject *parent)
    : QSqlQueryModel(parent)
{
}

QVariant PolozkaModel::data(const QModelIndex &index, int role) const
{
    QVariant value = QSqlQueryModel::data(index, role);
    if(value.isValid() && role == Qt::DisplayRole)
    {
        if(index.column() == 2 || index.column() == 4 || index.column() == 5)
        {
            return QString("%L1").arg(value.toDouble(),0,'f',2);
        }
    }
    return value;
}
