/***************************************************************
 * Name:      printprijmyvydajedialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef PRINTPRIJMYVYDAJEDIALOG_H
#define PRINTPRIJMYVYDAJEDIALOG_H

#include <QtGui>
#if (QT_VERSION < 0x050000)
    #include <QWebView>
#else
    #include <QtWidgets>
    #include <QtWebKitWidgets/QWebView>
#endif
#include <QtSql>

class PrintPrijmyVydajeDialog : public QDialog
{
    Q_OBJECT
public:
    explicit PrintPrijmyVydajeDialog(QWidget *parent = 0);
private:
    QWebView *m_seznam;
    bool m_platce;
    QPushButton *m_print;
    QCheckBox *m_doklady;

    void createText();
    QString parseLine(QString line);
private slots:
    void slotPrint();
    void slotDoklady();
};

#endif // PRINTPRIJMYVYDAJEDIALOG_H
