/***************************************************************
 * Name:      printseznamfadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef PRINTSEZNAMFADIALOG_H
#define PRINTSEZNAMFADIALOG_H

#include <QtGui>
#if (QT_VERSION < 0x050000)
    #include <QWebView>
#else 
    #include <QtWidgets>
    #include <QtWebKitWidgets/QWebView>
#endif
#include <QtSql>

class PrintSeznamFaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit PrintSeznamFaDialog(QWidget *parent = 0);
private:
    QWebView *m_seznam;
    bool m_platce;
    QPushButton *m_print;

    void createText();
    QString parseLine(QString line);
private slots:
    void slotPrint();
};

#endif // PRINTSEZNAMFADIALOG_H
