/***************************************************************
 * Name:      uhradadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef UHRADADIALOG_H
#define UHRADADIALOG_H

#include <QtGui>
#if (QT_VERSION > 0x050000)
#include <QtWidgets>
#endif

class UhradaDialog : public QDialog
{
    Q_OBJECT
public:
    explicit UhradaDialog(const QString &cislo, const QDate &date, QWidget *parent = 0);
    
    QString datum() const;
private:
    QDateEdit *m_uhrada;
};

#endif // UHRADADIALOG_H
