/***************************************************************
 * Name:      faktury.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef FAKTURY_H
#define FAKTURY_H

#include <QTextBrowser>
#include "dxitem.h"

class Faktury : public dxitem
{
public:
    explicit Faktury(QTreeWidgetItem *parent = 0);

    QWidget *getPanel();
    void firmaChanged();
private:
    QWidget *m_panel;
    QTextBrowser *m_view;

    void createInfo();
    QString createVydane() const;
    QString createPrijate() const;
};

#endif // FAKTURY_H
