/***************************************************************
 * Name:      dxutils.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef DXUTILS_H
#define DXUTILS_H

#include <QString>

#define ceil4(x) ceil(x * 10000) / 10000

class dxutils
{
public:
    dxutils();

    static dxutils &instance();
    static void createDB();
    static bool checkPath(const QString &path);
    static bool checkIC(const QString &ic);
    static int getLastID(const QString &table);
    static bool isPlatce();
};

#endif // DXUTILS_H
