/***************************************************************
 * Name:      faparser.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef FAPARSER_H
#define FAPARSER_H

#include <QtSql>

class FaParser
{
public:
    FaParser(int id);

    QString parseFile(const QString &filename);
private:
    int m_id;
    bool m_platce;

    QString parseFakturaLine(QString line);
    QString parseFirmaLine(QString line);
    QString parseAdresarLine(QString line);
    QString parsePolozkaLine(QString line);
    QString parseSazbaLine(QString line);
};

#endif // FAPARSERDIALOG_H
